package xiaoqu.home.open.model.db2;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 按钮
 * </p>
 *
 * @author mk
 * @since 2022-03-21
 */
@TableName("button")
@ApiModel(value="Button对象", description="按钮")
public class Button extends Model<Button> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "页面id")
    @TableField("web_id")
    private Long webId;

    @ApiModelProperty(value = "按钮名称")
    @TableField("cn_name")
    private String cnName;

    @ApiModelProperty(value = "按钮映射")
    @TableField("en_name")
    private String enName;

    @ApiModelProperty(value = "图标")
    @TableField("icon")
    private String icon;

    @ApiModelProperty(value = "类")
    @TableField("class_name")
    private String className;

    @ApiModelProperty(value = "方法")
    @TableField("function_path")
    private String functionPath;

    @ApiModelProperty(value = "按钮类型")
    @TableField("type")
    private Integer type;

    @ApiModelProperty(value = "按钮状态")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "排序")
    @TableField("order_by")
    private Integer orderBy;

    @ApiModelProperty(value = "按钮风格")
    @TableField("theme")
    private String theme;

    @ApiModelProperty(value = "备注")
    @TableField("memo")
    private String memo;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getWebId() {
        return webId;
    }

    public void setWebId(Long webId) {
        this.webId = webId;
    }

    public String getCnName() {
        return cnName;
    }

    public void setCnName(String cnName) {
        this.cnName = cnName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getFunctionPath() {
        return functionPath;
    }

    public void setFunctionPath(String functionPath) {
        this.functionPath = functionPath;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getOrderBy() {
        return orderBy;
    }

    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    public String getTheme() {
        return theme;
    }

    public void setTheme(String theme) {
        this.theme = theme;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Button{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", webId=" + webId +
        ", cnName=" + cnName +
        ", enName=" + enName +
        ", icon=" + icon +
        ", className=" + className +
        ", functionPath=" + functionPath +
        ", type=" + type +
        ", status=" + status +
        ", orderBy=" + orderBy +
        ", theme=" + theme +
        ", memo=" + memo +
        "}";
    }
}
